      Subroutine cldsum(iz0,z,zc,cldopt,cldoptu,cldoptb,zu,zb)
c-----------------------------------------------------------------
c This subroutine calculate input parameters for look-up table.
c They are jparam(9),jparam(10),jparam(11),jparam(12)      

c Notice : among inputs, array z are altitudes at middle of the grid box,
c          so array z has same dimmension as array cloud optical depth.
c-----------------------------------------------------------------
      use h_imp_dims
      implicit none

c#     include "imp_dims.h"

c input
      integer :: iz0
      real*8 :: z(k1-1:k2),
     &     zc(k1:k2),
     &     cldopt(k1:k2)
c output
      real*8 :: cldoptu,
     &     cldoptb,
     &     zu,
     &     zb
c workspace
      integer :: iz
c      write(11,'(2I5)') iz0
c      do iz=k1, k2
c        write(11,'(6(1pe12.4))')
c     & z(iz),cldopt(iz)
c      enddo

      
      cldoptb=0.0d0
      cldoptu=0.0d0
      zu=0.0d0
      zb=0.0d0

c clouds below current altitude
      if(iz0.eq.k1) then
        cldoptb=cldopt(iz0)*0.5d0
        zb=(z(iz0-1)+zc(iz0))*0.5d0*cldoptb
      else        
        do iz=k1,iz0-1
          cldoptb=cldoptb+cldopt(iz)
          zb=zb+cldopt(iz)*zc(iz)
        enddo
        cldoptb=cldoptb+cldopt(iz0)*0.5d0
        zb=zb+cldopt(iz0)*(zc(iz0)+z(iz0-1))*0.25d0 
      endif
      if(cldoptb.gt.0.) then
        zb=zb/cldoptb
      else
        zb=0.0d0
      endif


c clouds above current altitude
      if(iz0.eq.k2) then
        cldoptu=cldopt(iz0)*0.5d0
        zu=(z(iz0)+zc(iz0))*0.5d0*cldoptu
      else
        do iz=iz0+1, k2
          cldoptu=cldoptu+cldopt(iz)
          zu=zu+cldopt(iz)*zc(iz)
        enddo
        cldoptu=cldoptu+cldopt(iz0)*0.5d0
        zu=zu+cldopt(iz0)*(z(iz0)+zc(iz0))*0.25d0
      endif
      if(cldoptu.gt.0.) then
        zu=zu/cldoptu
      else
        zu=0.0d0
      endif
c      if(loc_proc==63) then
c         write(6,'(4(1pe12.4))') cldoptb,zb,cldoptu,zu
c      endif

      return
      end
